Skip to content

Get project details

GET
/api/v1/projects/{project_id}

Retrieve a single project by ID, including computed item counts and status breakdowns.

Authorizations

HTTPBearer
Type
HTTP (bearer)

Parameters

Path Parameters

project_id*
Type
string
Required
Format
"uuid"

Responses

Successful Response

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"platform": "string",
  
"status": "string",
  
"settings": {
  
  
"additionalProperties": "string"
  
},
  
"created_at": "string",
  
"completed_at": "string",
  
"item_count": 0,
  
"flagged_count": 0,
  
"source_count": 0,
  
"deleted_at": "string",
  
"status_counts": {
  
  
"pending": 0,
  
  
"generated": 0,
  
  
"flagged": 0,
  
  
"approved": 0,
  
  
"rejected": 0,
  
  
"synced": 0,
  
  
"excluded": 0
  
},
  
"store_connection_id": "string",
  
"store_connection_name": "string",
  
"content_profile_id": "string",
  
"settings_overrides": {
  
  
"additionalProperties": "string"
  
}
}

Playground

Server
Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI

XC AI Content Automation